> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List cycle counts

> List cycle counts

### Query parameters

<ParamField query="warehouse_id" type="integer (int32)" />

<ParamField query="location_id" type="integer (int32)" />

<ParamField query="status" type="string">
  One of `draft`, `in_progress`, `completed`, `cancelled`.
</ParamField>

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

<ParamField query="after" type="string">
  Cursor for keyset pagination (opaque token from `next_cursor`).
</ParamField>

### Responses

<ResponseField name="200" type="CycleCountListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/cycle-counts' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "cycle_counts": [
      {
        "completed_at": null,
        "counted_by": null,
        "created_at": "string",
        "id": "string",
        "lines": [],
        "location_id": null,
        "scheduled_date": null,
        "status": "string",
        "updated_at": "string",
        "warehouse_id": 1
      }
    ],
    "has_more": true,
    "next_cursor": null,
    "total": 1
  }
  ```
</ResponseExample>
